
_Timer1_Interrupt:
	PUSH       R30
	PUSH       R31
	PUSH       R27
	IN         R27, SREG+0
	PUSH       R27

;VOLTIMETER_4C_AT.c,58 :: 		void Timer1_Interrupt() iv IVT_ADDR_TIMER1_OVF  {
;VOLTIMETER_4C_AT.c,60 :: 		TCNT1H=0xfe ;   //Carga para tempo de interrupo a cada 55 useg
	LDI        R27, 254
	OUT        TCNT1H+0, R27
;VOLTIMETER_4C_AT.c,61 :: 		TCNT1l=0x48;
	LDI        R27, 72
	OUT        TCNT1L+0, R27
;VOLTIMETER_4C_AT.c,62 :: 		if(!f_ok) //se no foi lido sai da rotina
	LDS        R27, _f_ok+0
	SBRC       R27, BitPos(_f_ok+0)
	JMP        L_Timer1_Interrupt0
;VOLTIMETER_4C_AT.c,63 :: 		if(!f_t1) {ciclo=0; mil='0';cent='0';dez='0';un='0'; f_t1=1;} //inicializao do conversor
	LDS        R27, _f_t1+0
	SBRC       R27, BitPos(_f_t1+0)
	JMP        L_Timer1_Interrupt1
	LDI        R27, 0
	STS        _ciclo+0, R27
	STS        _ciclo+1, R27
	LDI        R27, 48
	STS        _mil+0, R27
	LDI        R27, 48
	STS        _cent+0, R27
	LDI        R27, 48
	STS        _dez+0, R27
	LDI        R27, 48
	STS        _un+0, R27
	LDS        R27, _f_t1+0
	SBR        R27, BitMask(_f_t1+0)
	STS        _f_t1+0, R27
L_Timer1_Interrupt1:
L_Timer1_Interrupt0:
;VOLTIMETER_4C_AT.c,64 :: 		if(ACSR.ACO) PORTD.B5=1; else   {  //testa saida do comparador e altera o modulador de 1 bit pino 9
	IN         R27, ACSR+0
	SBRS       R27, 5
	JMP        L_Timer1_Interrupt2
	IN         R27, PORTD+0
	SBR        R27, 32
	OUT        PORTD+0, R27
	JMP        L_Timer1_Interrupt3
L_Timer1_Interrupt2:
;VOLTIMETER_4C_AT.c,65 :: 		PORTD.B5=0;
	IN         R27, PORTD+0
	CBR        R27, 32
	OUT        PORTD+0, R27
;VOLTIMETER_4C_AT.c,66 :: 		if(++un>'9'){un='0'; dez++;}  //incrementa contadores de resultado j em formato decimal
	LDS        R16, _un+0
	MOV        R17, R16
	SUBI       R17, 255
	STS        _un+0, R17
	LDI        R16, 57
	CP         R16, R17
	BRLO       L__Timer1_Interrupt55
	JMP        L_Timer1_Interrupt4
L__Timer1_Interrupt55:
	LDI        R27, 48
	STS        _un+0, R27
	LDS        R16, _dez+0
	SUBI       R16, 255
	STS        _dez+0, R16
L_Timer1_Interrupt4:
;VOLTIMETER_4C_AT.c,67 :: 		if(dez>'9'){dez='0'; cent++;}
	LDS        R17, _dez+0
	LDI        R16, 57
	CP         R16, R17
	BRLO       L__Timer1_Interrupt56
	JMP        L_Timer1_Interrupt5
L__Timer1_Interrupt56:
	LDI        R27, 48
	STS        _dez+0, R27
	LDS        R16, _cent+0
	SUBI       R16, 255
	STS        _cent+0, R16
L_Timer1_Interrupt5:
;VOLTIMETER_4C_AT.c,68 :: 		if(cent>'9'){cent='0';mil++;}
	LDS        R17, _cent+0
	LDI        R16, 57
	CP         R16, R17
	BRLO       L__Timer1_Interrupt57
	JMP        L_Timer1_Interrupt6
L__Timer1_Interrupt57:
	LDI        R27, 48
	STS        _cent+0, R27
	LDS        R16, _mil+0
	SUBI       R16, 255
	STS        _mil+0, R16
L_Timer1_Interrupt6:
;VOLTIMETER_4C_AT.c,69 :: 		}//testa saida do comparador
L_Timer1_Interrupt3:
;VOLTIMETER_4C_AT.c,70 :: 		ciclo++;
	LDS        R16, _ciclo+0
	LDS        R17, _ciclo+1
	MOVW       R18, R16
	SUBI       R18, 255
	SBCI       R19, 255
	STS        _ciclo+0, R18
	STS        _ciclo+1, R19
;VOLTIMETER_4C_AT.c,71 :: 		if(ciclo>=resolucao){f_ok=1;PORTD.B5=0;f_t1=0;}  //verifica se j acabou as 4096 converses
	LDI        R16, 0
	LDI        R17, 16
	CP         R18, R16
	CPC        R19, R17
	BRGE       L__Timer1_Interrupt58
	JMP        L_Timer1_Interrupt7
L__Timer1_Interrupt58:
	LDS        R27, _f_ok+0
	SBR        R27, BitMask(_f_ok+0)
	STS        _f_ok+0, R27
	IN         R27, PORTD+0
	CBR        R27, 32
	OUT        PORTD+0, R27
	LDS        R27, _f_t1+0
	CBR        R27, BitMask(_f_t1+0)
	STS        _f_t1+0, R27
L_Timer1_Interrupt7:
;VOLTIMETER_4C_AT.c,72 :: 		}
L_end_Timer1_Interrupt:
	POP        R27
	OUT        SREG+0, R27
	POP        R27
	POP        R31
	POP        R30
	RETI
; end of _Timer1_Interrupt

_lcd_clk:

;VOLTIMETER_4C_AT.c,80 :: 		void lcd_clk(void){
;VOLTIMETER_4C_AT.c,81 :: 		LCDEN=1;
	IN         R27, PORTB2_bit+0
	SBR        R27, BitMask(PORTB2_bit+0)
	OUT        PORTB2_bit+0, R27
;VOLTIMETER_4C_AT.c,82 :: 		delay_us(1);//
	LDI        R16, 2
L_lcd_clk8:
	DEC        R16
	BRNE       L_lcd_clk8
	NOP
	NOP
;VOLTIMETER_4C_AT.c,83 :: 		LCDEN=0;
	IN         R27, PORTB2_bit+0
	CBR        R27, BitMask(PORTB2_bit+0)
	OUT        PORTB2_bit+0, R27
;VOLTIMETER_4C_AT.c,85 :: 		}
L_end_lcd_clk:
	RET
; end of _lcd_clk

_env_nib:

;VOLTIMETER_4C_AT.c,88 :: 		void env_nib(char b){
;VOLTIMETER_4C_AT.c,90 :: 		if(b&0x10)LCDD4=1; else LCDD4=0;
	BST        R2, 4
	BRTS       L__env_nib61
	JMP        L_env_nib10
L__env_nib61:
	IN         R27, PORTB4_bit+0
	SBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
	JMP        L_env_nib11
L_env_nib10:
	IN         R27, PORTB4_bit+0
	CBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
L_env_nib11:
;VOLTIMETER_4C_AT.c,91 :: 		if(b&0x20)LCDD5=1; else LCDD5=0;
	BST        R2, 5
	BRTS       L__env_nib62
	JMP        L_env_nib12
L__env_nib62:
	IN         R27, PORTB5_bit+0
	SBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
	JMP        L_env_nib13
L_env_nib12:
	IN         R27, PORTB5_bit+0
	CBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
L_env_nib13:
;VOLTIMETER_4C_AT.c,92 :: 		if(b&0x40)LCDD6=1; else LCDD6=0;
	BST        R2, 6
	BRTS       L__env_nib63
	JMP        L_env_nib14
L__env_nib63:
	IN         R27, PORTB6_bit+0
	SBR        R27, BitMask(PORTB6_bit+0)
	OUT        PORTB6_bit+0, R27
	JMP        L_env_nib15
L_env_nib14:
	IN         R27, PORTB6_bit+0
	CBR        R27, BitMask(PORTB6_bit+0)
	OUT        PORTB6_bit+0, R27
L_env_nib15:
;VOLTIMETER_4C_AT.c,93 :: 		if(b&0x80)LCDD7=1; else LCDD7=0;
	BST        R2, 7
	BRTS       L__env_nib64
	JMP        L_env_nib16
L__env_nib64:
	IN         R27, PORTB7_bit+0
	SBR        R27, BitMask(PORTB7_bit+0)
	OUT        PORTB7_bit+0, R27
	JMP        L_env_nib17
L_env_nib16:
	IN         R27, PORTB7_bit+0
	CBR        R27, BitMask(PORTB7_bit+0)
	OUT        PORTB7_bit+0, R27
L_env_nib17:
;VOLTIMETER_4C_AT.c,94 :: 		lcd_clk();
	CALL       _lcd_clk+0
;VOLTIMETER_4C_AT.c,95 :: 		}
L_end_env_nib:
	RET
; end of _env_nib

_env_lcd_c:

;VOLTIMETER_4C_AT.c,98 :: 		void env_lcd_c(char val){
;VOLTIMETER_4C_AT.c,99 :: 		LCDRS=0;
	PUSH       R2
	IN         R27, PORTB3_bit+0
	CBR        R27, BitMask(PORTB3_bit+0)
	OUT        PORTB3_bit+0, R27
;VOLTIMETER_4C_AT.c,100 :: 		env_nib(val);
	CALL       _env_nib+0
;VOLTIMETER_4C_AT.c,101 :: 		env_nib(val<<4);
	MOV        R16, R2
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	MOV        R2, R16
	CALL       _env_nib+0
;VOLTIMETER_4C_AT.c,102 :: 		delay_ms(10);
	LDI        R17, 104
	LDI        R16, 229
L_env_lcd_c18:
	DEC        R16
	BRNE       L_env_lcd_c18
	DEC        R17
	BRNE       L_env_lcd_c18
;VOLTIMETER_4C_AT.c,103 :: 		}
L_end_env_lcd_c:
	POP        R2
	RET
; end of _env_lcd_c

_env_lcd_d:

;VOLTIMETER_4C_AT.c,106 :: 		void env_lcd_d(char val){
;VOLTIMETER_4C_AT.c,107 :: 		LCDRS=1;
	PUSH       R2
	IN         R27, PORTB3_bit+0
	SBR        R27, BitMask(PORTB3_bit+0)
	OUT        PORTB3_bit+0, R27
;VOLTIMETER_4C_AT.c,108 :: 		env_nib(val);
	CALL       _env_nib+0
;VOLTIMETER_4C_AT.c,109 :: 		env_nib(val<<4);
	MOV        R16, R2
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	MOV        R2, R16
	CALL       _env_nib+0
;VOLTIMETER_4C_AT.c,110 :: 		delay_ms(1);
	LDI        R17, 11
	LDI        R16, 99
L_env_lcd_d20:
	DEC        R16
	BRNE       L_env_lcd_d20
	DEC        R17
	BRNE       L_env_lcd_d20
;VOLTIMETER_4C_AT.c,111 :: 		}
L_end_env_lcd_d:
	POP        R2
	RET
; end of _env_lcd_d

_Lcd_String:

;VOLTIMETER_4C_AT.c,113 :: 		void Lcd_String(char linha,char posicao, const char *frase){  //envia frases
;VOLTIMETER_4C_AT.c,115 :: 		if(linha==1)posicao+=0x7f; else posicao+=0xbf;
	PUSH       R2
	LDI        R27, 1
	CP         R2, R27
	BREQ       L__Lcd_String68
	JMP        L_Lcd_String22
L__Lcd_String68:
	MOV        R16, R3
	SUBI       R16, 129
	MOV        R3, R16
	JMP        L_Lcd_String23
L_Lcd_String22:
	MOV        R16, R3
	SUBI       R16, 65
	MOV        R3, R16
L_Lcd_String23:
;VOLTIMETER_4C_AT.c,116 :: 		env_lcd_c(posicao);
	MOV        R2, R3
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,117 :: 		for(a=0;frase[a]!=0;a++){
; a start address is: 17 (R17)
	LDI        R17, 0
; a end address is: 17 (R17)
L_Lcd_String24:
; a start address is: 17 (R17)
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R4
	ADC        R31, R5
	LPM        R16, Z
	CPI        R16, 0
	BRNE       L__Lcd_String69
	JMP        L_Lcd_String25
L__Lcd_String69:
;VOLTIMETER_4C_AT.c,118 :: 		env_lcd_d(frase[a]);
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R4
	ADC        R31, R5
	LPM        R16, Z
	PUSH       R17
	PUSH       R2
	MOV        R2, R16
	CALL       _env_lcd_d+0
	POP        R2
	POP        R17
;VOLTIMETER_4C_AT.c,117 :: 		for(a=0;frase[a]!=0;a++){
	MOV        R16, R17
	SUBI       R16, 255
	MOV        R17, R16
;VOLTIMETER_4C_AT.c,119 :: 		}
; a end address is: 17 (R17)
	JMP        L_Lcd_String24
L_Lcd_String25:
;VOLTIMETER_4C_AT.c,121 :: 		}
L_end_Lcd_String:
	POP        R2
	RET
; end of _Lcd_String

_Init_Lcd:

;VOLTIMETER_4C_AT.c,124 :: 		void Init_Lcd(void){
;VOLTIMETER_4C_AT.c,127 :: 		LCDRS=0;
	PUSH       R2
	IN         R27, PORTB3_bit+0
	CBR        R27, BitMask(PORTB3_bit+0)
	OUT        PORTB3_bit+0, R27
;VOLTIMETER_4C_AT.c,128 :: 		LCDRS_Dir =1;
	IN         R27, DDB3_bit+0
	SBR        R27, BitMask(DDB3_bit+0)
	OUT        DDB3_bit+0, R27
;VOLTIMETER_4C_AT.c,129 :: 		LCDEN_Dir =1;
	IN         R27, DDB2_bit+0
	SBR        R27, BitMask(DDB2_bit+0)
	OUT        DDB2_bit+0, R27
;VOLTIMETER_4C_AT.c,130 :: 		LCDD4_Dir =1;
	IN         R27, DDB4_bit+0
	SBR        R27, BitMask(DDB4_bit+0)
	OUT        DDB4_bit+0, R27
;VOLTIMETER_4C_AT.c,131 :: 		LCDD5_Dir =1;
	IN         R27, DDB5_bit+0
	SBR        R27, BitMask(DDB5_bit+0)
	OUT        DDB5_bit+0, R27
;VOLTIMETER_4C_AT.c,132 :: 		LCDD6_Dir =1;
	IN         R27, DDB6_bit+0
	SBR        R27, BitMask(DDB6_bit+0)
	OUT        DDB6_bit+0, R27
;VOLTIMETER_4C_AT.c,133 :: 		LCDD7_Dir =1;
	IN         R27, DDB7_bit+0
	SBR        R27, BitMask(DDB7_bit+0)
	OUT        DDB7_bit+0, R27
;VOLTIMETER_4C_AT.c,134 :: 		LCDD4=0;//situao inicial resetados
	IN         R27, PORTB4_bit+0
	CBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
;VOLTIMETER_4C_AT.c,135 :: 		LCDD5=0;
	IN         R27, PORTB5_bit+0
	CBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
;VOLTIMETER_4C_AT.c,136 :: 		LCDD6=0;
	IN         R27, PORTB6_bit+0
	CBR        R27, BitMask(PORTB6_bit+0)
	OUT        PORTB6_bit+0, R27
;VOLTIMETER_4C_AT.c,137 :: 		LCDD7=0;
	IN         R27, PORTB7_bit+0
	CBR        R27, BitMask(PORTB7_bit+0)
	OUT        PORTB7_bit+0, R27
;VOLTIMETER_4C_AT.c,138 :: 		LCDEN=0;
	IN         R27, PORTB2_bit+0
	CBR        R27, BitMask(PORTB2_bit+0)
	OUT        PORTB2_bit+0, R27
;VOLTIMETER_4C_AT.c,139 :: 		delay_ms(50);//delay inicial
	LDI        R18, 3
	LDI        R17, 8
	LDI        R16, 120
L_Init_Lcd27:
	DEC        R16
	BRNE       L_Init_Lcd27
	DEC        R17
	BRNE       L_Init_Lcd27
	DEC        R18
	BRNE       L_Init_Lcd27
;VOLTIMETER_4C_AT.c,140 :: 		LCDD4=1; LCDD5=1;// setados
	IN         R27, PORTB4_bit+0
	SBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
	IN         R27, PORTB5_bit+0
	SBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
;VOLTIMETER_4C_AT.c,141 :: 		for(a=0;a<3;a++) {lcd_clk(); delay_ms(5);}// envia 3,3,3
; a start address is: 17 (R17)
	LDI        R17, 0
; a end address is: 17 (R17)
L_Init_Lcd29:
; a start address is: 17 (R17)
	CPI        R17, 3
	BRLO       L__Init_Lcd71
	JMP        L_Init_Lcd30
L__Init_Lcd71:
	PUSH       R17
	CALL       _lcd_clk+0
	LDI        R17, 52
	LDI        R16, 242
L_Init_Lcd32:
	DEC        R16
	BRNE       L_Init_Lcd32
	DEC        R17
	BRNE       L_Init_Lcd32
	NOP
	POP        R17
	MOV        R16, R17
	SUBI       R16, 255
	MOV        R17, R16
; a end address is: 17 (R17)
	JMP        L_Init_Lcd29
L_Init_Lcd30:
;VOLTIMETER_4C_AT.c,142 :: 		LCDD4=0;//envia 2
	IN         R27, PORTB4_bit+0
	CBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
;VOLTIMETER_4C_AT.c,143 :: 		lcd_clk();//pulso em 'en'
	CALL       _lcd_clk+0
;VOLTIMETER_4C_AT.c,144 :: 		delay_ms(5);
	LDI        R17, 52
	LDI        R16, 242
L_Init_Lcd34:
	DEC        R16
	BRNE       L_Init_Lcd34
	DEC        R17
	BRNE       L_Init_Lcd34
	NOP
;VOLTIMETER_4C_AT.c,145 :: 		env_lcd_c(0x28);//ajusta para 4 bits o modo de envio
	LDI        R27, 40
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,146 :: 		env_lcd_c(0x06);// no shift
	LDI        R27, 6
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,147 :: 		env_lcd_c(0x0c);//Display ON, Cursor OFF, Blink OFF
	LDI        R27, 12
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,148 :: 		env_lcd_c(0x01);//limpa tela
	LDI        R27, 1
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,149 :: 		delay_ms(10);   //Delay
	LDI        R17, 104
	LDI        R16, 229
L_Init_Lcd36:
	DEC        R16
	BRNE       L_Init_Lcd36
	DEC        R17
	BRNE       L_Init_Lcd36
;VOLTIMETER_4C_AT.c,151 :: 		}
L_end_Init_Lcd:
	POP        R2
	RET
; end of _Init_Lcd

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;VOLTIMETER_4C_AT.c,156 :: 		void main() {
;VOLTIMETER_4C_AT.c,157 :: 		Init_Lcd();                        // Inicializa o  LCD
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	CALL       _Init_Lcd+0
;VOLTIMETER_4C_AT.c,158 :: 		env_lcd_c(1);  //limpa a tela
	LDI        R27, 1
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,159 :: 		Lcd_String(1,1,"Voltimetro_4_Can");   // Escreve nome do aparelho
	LDI        R27, #lo_addr(?lstr_1_VOLTIMETER_4C_AT+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr_1_VOLTIMETER_4C_AT+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_String+0
;VOLTIMETER_4C_AT.c,160 :: 		Lcd_String(2,1,"Larios.Tecnol.ws");   // Escreve nome do blog
	LDI        R27, #lo_addr(?lstr_2_VOLTIMETER_4C_AT+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr_2_VOLTIMETER_4C_AT+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_String+0
;VOLTIMETER_4C_AT.c,161 :: 		delay_ms(2000);// Tempo de apresentao da mensagem
	LDI        R18, 82
	LDI        R17, 43
	LDI        R16, 0
L_main38:
	DEC        R16
	BRNE       L_main38
	DEC        R17
	BRNE       L_main38
	DEC        R18
	BRNE       L_main38
	NOP
	NOP
	NOP
	NOP
;VOLTIMETER_4C_AT.c,162 :: 		env_lcd_c(1);//limpa tela
	LDI        R27, 1
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_4C_AT.c,163 :: 		AIN0_DIR=0; //Entrada para comparador
	IN         R27, DDB0_bit+0
	CBR        R27, BitMask(DDB0_bit+0)
	OUT        DDB0_bit+0, R27
;VOLTIMETER_4C_AT.c,164 :: 		AIN1_DIR=0; //Entrada para comparador
	IN         R27, DDB1_bit+0
	CBR        R27, BitMask(DDB1_bit+0)
	OUT        DDB1_bit+0, R27
;VOLTIMETER_4C_AT.c,165 :: 		DIDR.AIN1D=1;//Desliga entrada digital para poupar energia
	IN         R27, DIDR+0
	SBR        R27, 2
	OUT        DIDR+0, R27
;VOLTIMETER_4C_AT.c,166 :: 		DIDR.AIN0D=1;//Desliga entrada digital para poupar energia
	IN         R27, DIDR+0
	SBR        R27, 1
	OUT        DIDR+0, R27
;VOLTIMETER_4C_AT.c,167 :: 		ACSR.ACBG=0; //Liga ain0 ao pino 12 (com 2 resistores formando divisor 1/2vcc)
	IN         R27, ACSR+0
	CBR        R27, 64
	OUT        ACSR+0, R27
;VOLTIMETER_4C_AT.c,169 :: 		ACSR.ACD=0; //Liga comparador analgico
	IN         R27, ACSR+0
	CBR        R27, 128
	OUT        ACSR+0, R27
;VOLTIMETER_4C_AT.c,170 :: 		ACSR.ACIE=0;//Desliga interrupo do comparador
	IN         R27, ACSR+0
	CBR        R27, 8
	OUT        ACSR+0, R27
;VOLTIMETER_4C_AT.c,171 :: 		SREG_I_bit = 1;  // Liga geral das interrupes
	IN         R27, SREG_I_bit+0
	SBR        R27, BitMask(SREG_I_bit+0)
	OUT        SREG_I_bit+0, R27
;VOLTIMETER_4C_AT.c,172 :: 		TCCR1B = 1;    //divide 1  prescaller
	LDI        R27, 1
	OUT        TCCR1B+0, R27
;VOLTIMETER_4C_AT.c,173 :: 		TOIE1_bit=1; //liga interrupo do timer 1 over flow
	IN         R27, TOIE1_bit+0
	SBR        R27, BitMask(TOIE1_bit+0)
	OUT        TOIE1_bit+0, R27
;VOLTIMETER_4C_AT.c,174 :: 		DDD5_BIT=1;//Saida
	IN         R27, DDD5_bit+0
	SBR        R27, BitMask(DDD5_bit+0)
	OUT        DDD5_bit+0, R27
;VOLTIMETER_4C_AT.c,175 :: 		CANAL1_Dir=1;//Saida
	IN         R27, DDD4_bit+0
	SBR        R27, BitMask(DDD4_bit+0)
	OUT        DDD4_bit+0, R27
;VOLTIMETER_4C_AT.c,176 :: 		CANAL2_Dir=1;//Saida
	IN         R27, DDD1_bit+0
	SBR        R27, BitMask(DDD1_bit+0)
	OUT        DDD1_bit+0, R27
;VOLTIMETER_4C_AT.c,177 :: 		CANAL3_Dir=1;//Saida
	IN         R27, DDA1_bit+0
	SBR        R27, BitMask(DDA1_bit+0)
	OUT        DDA1_bit+0, R27
;VOLTIMETER_4C_AT.c,178 :: 		CANAL4_Dir=1;//Saida
	IN         R27, DDA0_bit+0
	SBR        R27, BitMask(DDA0_bit+0)
	OUT        DDA0_bit+0, R27
;VOLTIMETER_4C_AT.c,179 :: 		CANAL1=1; //primeira comverso no canal 1
	IN         R27, PORTD4_bit+0
	SBR        R27, BitMask(PORTD4_bit+0)
	OUT        PORTD4_bit+0, R27
;VOLTIMETER_4C_AT.c,180 :: 		CANAL2=0;
	IN         R27, PORTD1_bit+0
	CBR        R27, BitMask(PORTD1_bit+0)
	OUT        PORTD1_bit+0, R27
;VOLTIMETER_4C_AT.c,181 :: 		CANAL3=0;
	IN         R27, PORTA1_bit+0
	CBR        R27, BitMask(PORTA1_bit+0)
	OUT        PORTA1_bit+0, R27
;VOLTIMETER_4C_AT.c,182 :: 		CANAL4=0;
	IN         R27, PORTA0_bit+0
	CBR        R27, BitMask(PORTA0_bit+0)
	OUT        PORTA0_bit+0, R27
;VOLTIMETER_4C_AT.c,183 :: 		f_ok=0;
	LDS        R27, _f_ok+0
	CBR        R27, BitMask(_f_ok+0)
	STS        _f_ok+0, R27
;VOLTIMETER_4C_AT.c,184 :: 		qcan=0xff;
	LDI        R27, 255
	STS        _qcan+0, R27
;VOLTIMETER_4C_AT.c,189 :: 		for(;;){
L_main40:
;VOLTIMETER_4C_AT.c,190 :: 		f_ok=0;
	LDS        R27, _f_ok+0
	CBR        R27, BitMask(_f_ok+0)
	STS        _f_ok+0, R27
;VOLTIMETER_4C_AT.c,191 :: 		if(++qcan>3)qcan=0;
	LDS        R16, _qcan+0
	MOV        R17, R16
	SUBI       R17, 255
	STS        _qcan+0, R17
	LDI        R16, 3
	CP         R16, R17
	BRLO       L__main73
	JMP        L_main43
L__main73:
	LDI        R27, 0
	STS        _qcan+0, R27
L_main43:
;VOLTIMETER_4C_AT.c,192 :: 		while(!f_ok);//aguarda converso da tenso
L_main44:
	LDS        R27, _f_ok+0
	SBRC       R27, BitPos(_f_ok+0)
	JMP        L_main45
	JMP        L_main44
L_main45:
;VOLTIMETER_4C_AT.c,193 :: 		if(qcan==0){ env_lcd_c(0x80);  env_lcd_d('A'); CANAL1=0;CANAL2=1; }
	LDS        R16, _qcan+0
	CPI        R16, 0
	BREQ       L__main74
	JMP        L_main46
L__main74:
	LDI        R27, 128
	MOV        R2, R27
	CALL       _env_lcd_c+0
	LDI        R27, 65
	MOV        R2, R27
	CALL       _env_lcd_d+0
	IN         R27, PORTD4_bit+0
	CBR        R27, BitMask(PORTD4_bit+0)
	OUT        PORTD4_bit+0, R27
	IN         R27, PORTD1_bit+0
	SBR        R27, BitMask(PORTD1_bit+0)
	OUT        PORTD1_bit+0, R27
L_main46:
;VOLTIMETER_4C_AT.c,194 :: 		if(qcan==1){ env_lcd_c(0x88);  env_lcd_d('B'); CANAL2=0;CANAL3=1; }
	LDS        R16, _qcan+0
	CPI        R16, 1
	BREQ       L__main75
	JMP        L_main47
L__main75:
	LDI        R27, 136
	MOV        R2, R27
	CALL       _env_lcd_c+0
	LDI        R27, 66
	MOV        R2, R27
	CALL       _env_lcd_d+0
	IN         R27, PORTD1_bit+0
	CBR        R27, BitMask(PORTD1_bit+0)
	OUT        PORTD1_bit+0, R27
	IN         R27, PORTA1_bit+0
	SBR        R27, BitMask(PORTA1_bit+0)
	OUT        PORTA1_bit+0, R27
L_main47:
;VOLTIMETER_4C_AT.c,195 :: 		if(qcan==2){ env_lcd_c(0xc0);  env_lcd_d('C'); CANAL3=0;CANAL4=1; }
	LDS        R16, _qcan+0
	CPI        R16, 2
	BREQ       L__main76
	JMP        L_main48
L__main76:
	LDI        R27, 192
	MOV        R2, R27
	CALL       _env_lcd_c+0
	LDI        R27, 67
	MOV        R2, R27
	CALL       _env_lcd_d+0
	IN         R27, PORTA1_bit+0
	CBR        R27, BitMask(PORTA1_bit+0)
	OUT        PORTA1_bit+0, R27
	IN         R27, PORTA0_bit+0
	SBR        R27, BitMask(PORTA0_bit+0)
	OUT        PORTA0_bit+0, R27
L_main48:
;VOLTIMETER_4C_AT.c,196 :: 		if(qcan==3){ env_lcd_c(0xc8);  env_lcd_d('D'); CANAL4=0;CANAL1=1; }
	LDS        R16, _qcan+0
	CPI        R16, 3
	BREQ       L__main77
	JMP        L_main49
L__main77:
	LDI        R27, 200
	MOV        R2, R27
	CALL       _env_lcd_c+0
	LDI        R27, 68
	MOV        R2, R27
	CALL       _env_lcd_d+0
	IN         R27, PORTA0_bit+0
	CBR        R27, BitMask(PORTA0_bit+0)
	OUT        PORTA0_bit+0, R27
	IN         R27, PORTD4_bit+0
	SBR        R27, BitMask(PORTD4_bit+0)
	OUT        PORTD4_bit+0, R27
L_main49:
;VOLTIMETER_4C_AT.c,197 :: 		env_lcd_d('=');
	LDI        R27, 61
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_4C_AT.c,198 :: 		if(mil=='0')env_lcd_d(' ');else env_lcd_d(mil);  //milhar ou elimina zero a esquerda
	LDS        R16, _mil+0
	CPI        R16, 48
	BREQ       L__main78
	JMP        L_main50
L__main78:
	LDI        R27, 32
	MOV        R2, R27
	CALL       _env_lcd_d+0
	JMP        L_main51
L_main50:
	LDS        R2, _mil+0
	CALL       _env_lcd_d+0
L_main51:
;VOLTIMETER_4C_AT.c,199 :: 		env_lcd_d(cent); //centenas
	LDS        R2, _cent+0
	CALL       _env_lcd_d+0
;VOLTIMETER_4C_AT.c,200 :: 		env_lcd_d('.');  //ponto
	LDI        R27, 46
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_4C_AT.c,201 :: 		env_lcd_d(dez); //dezenas
	LDS        R2, _dez+0
	CALL       _env_lcd_d+0
;VOLTIMETER_4C_AT.c,203 :: 		env_lcd_d('V');  //sufixo 'V'
	LDI        R27, 86
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_4C_AT.c,205 :: 		delay_ms(70);   //delay entre converses
	LDI        R18, 3
	LDI        R17, 216
	LDI        R16, 66
L_main52:
	DEC        R16
	BRNE       L_main52
	DEC        R17
	BRNE       L_main52
	DEC        R18
	BRNE       L_main52
	NOP
	NOP
;VOLTIMETER_4C_AT.c,206 :: 		}
	JMP        L_main40
;VOLTIMETER_4C_AT.c,207 :: 		}
L_end_main:
	POP        R5
	POP        R4
	POP        R3
	POP        R2
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
