#line 1 "C:/Arquivos de programas/Mikroelektronika/mikroC PRO for AVR/projetos/VOLTIMETER_4C_AT/VOLTIMETER_4C_AT.c"
#line 18 "C:/Arquivos de programas/Mikroelektronika/mikroC PRO for AVR/projetos/VOLTIMETER_4C_AT/VOLTIMETER_4C_AT.c"
sbit LCDRS at PORTB3_bit;
sbit LCDEN at PORTB2_bit;
sbit LCDD4 at PORTB4_bit;
sbit LCDD5 at PORTB5_bit;
sbit LCDD6 at PORTB6_bit;
sbit LCDD7 at PORTB7_bit;

sbit LCDRS_Dir at DDB3_bit;
sbit LCDEN_Dir at DDB2_bit;
sbit LCDD4_Dir at DDB4_bit;
sbit LCDD5_Dir at DDB5_bit;
sbit LCDD6_Dir at DDB6_bit;
sbit LCDD7_Dir at DDB7_bit;


sbit AIN1_DIR at DDB1_bit;
sbit AIN0_DIR at DDB0_bit;
sbit CANAL1 at PORTD4_bit;
sbit CANAL2 at PORTD1_bit;
sbit CANAL3 at PORTA1_bit;
sbit CANAL4 at PORTA0_bit;
sbit CANAL1_Dir at DDD4_bit;
sbit CANAL2_Dir at DDD1_bit;
sbit CANAL3_Dir at DDA1_bit;
sbit CANAL4_Dir at DDA0_bit;



bit f_ok,f_t1;
int ciclo;
char mil,cent,dez,un,qcan;









 void Timer1_Interrupt() iv IVT_ADDR_TIMER1_OVF {
 const int resolucao= 4096;
 TCNT1H=0xfe ;
 TCNT1l=0x48;
 if(!f_ok)
 if(!f_t1) {ciclo=0; mil='0';cent='0';dez='0';un='0'; f_t1=1;}
 if(ACSR.ACO) PORTD.B5=1; else {
 PORTD.B5=0;
 if(++un>'9'){un='0'; dez++;}
 if(dez>'9'){dez='0'; cent++;}
 if(cent>'9'){cent='0';mil++;}
 }
 ciclo++;
 if(ciclo>=resolucao){f_ok=1;PORTD.B5=0;f_t1=0;}
}







void lcd_clk(void){
 LCDEN=1;
 delay_us(1);
 LCDEN=0;

 }


 void env_nib(char b){

 if(b&0x10)LCDD4=1; else LCDD4=0;
 if(b&0x20)LCDD5=1; else LCDD5=0;
 if(b&0x40)LCDD6=1; else LCDD6=0;
 if(b&0x80)LCDD7=1; else LCDD7=0;
 lcd_clk();
 }


 void env_lcd_c(char val){
 LCDRS=0;
 env_nib(val);
 env_nib(val<<4);
 delay_ms(10);
}


 void env_lcd_d(char val){
 LCDRS=1;
 env_nib(val);
 env_nib(val<<4);
 delay_ms(1);
 }

void Lcd_String(char linha,char posicao, const char *frase){
 char a;
 if(linha==1)posicao+=0x7f; else posicao+=0xbf;
 env_lcd_c(posicao);
 for(a=0;frase[a]!=0;a++){
 env_lcd_d(frase[a]);
 }

}


void Init_Lcd(void){
 char a;

 LCDRS=0;
 LCDRS_Dir =1;
 LCDEN_Dir =1;
 LCDD4_Dir =1;
 LCDD5_Dir =1;
 LCDD6_Dir =1;
 LCDD7_Dir =1;
 LCDD4=0;
 LCDD5=0;
 LCDD6=0;
 LCDD7=0;
 LCDEN=0;
 delay_ms(50);
 LCDD4=1; LCDD5=1;
 for(a=0;a<3;a++) {lcd_clk(); delay_ms(5);}
 LCDD4=0;
 lcd_clk();
 delay_ms(5);
 env_lcd_c(0x28);
 env_lcd_c(0x06);
 env_lcd_c(0x0c);
 env_lcd_c(0x01);
 delay_ms(10);

}
#line 156 "C:/Arquivos de programas/Mikroelektronika/mikroC PRO for AVR/projetos/VOLTIMETER_4C_AT/VOLTIMETER_4C_AT.c"
void main() {
 Init_Lcd();
 env_lcd_c(1);
 Lcd_String(1,1,"Voltimetro_4_Can");
 Lcd_String(2,1,"Larios.Tecnol.ws");
 delay_ms(2000);
 env_lcd_c(1);
 AIN0_DIR=0;
 AIN1_DIR=0;
 DIDR.AIN1D=1;
 DIDR.AIN0D=1;
 ACSR.ACBG=0;

 ACSR.ACD=0;
 ACSR.ACIE=0;
 SREG_I_bit = 1;
 TCCR1B = 1;
 TOIE1_bit=1;
 DDD5_BIT=1;
 CANAL1_Dir=1;
 CANAL2_Dir=1;
 CANAL3_Dir=1;
 CANAL4_Dir=1;
 CANAL1=1;
 CANAL2=0;
 CANAL3=0;
 CANAL4=0;
 f_ok=0;
 qcan=0xff;
#line 189 "C:/Arquivos de programas/Mikroelektronika/mikroC PRO for AVR/projetos/VOLTIMETER_4C_AT/VOLTIMETER_4C_AT.c"
 for(;;){
 f_ok=0;
 if(++qcan>3)qcan=0;
 while(!f_ok);
 if(qcan==0){ env_lcd_c(0x80); env_lcd_d('A'); CANAL1=0;CANAL2=1; }
 if(qcan==1){ env_lcd_c(0x88); env_lcd_d('B'); CANAL2=0;CANAL3=1; }
 if(qcan==2){ env_lcd_c(0xc0); env_lcd_d('C'); CANAL3=0;CANAL4=1; }
 if(qcan==3){ env_lcd_c(0xc8); env_lcd_d('D'); CANAL4=0;CANAL1=1; }
 env_lcd_d('=');
 if(mil=='0')env_lcd_d(' ');else env_lcd_d(mil);
 env_lcd_d(cent);
 env_lcd_d('.');
 env_lcd_d(dez);

 env_lcd_d('V');

 delay_ms(70);
 }
}
